aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2023-03-29 19:33:58 +0200
committerFlorian Dold <florian@dold.me>2023-03-29 19:33:58 +0200
commit804ef8acb4d24d61a69f8b8add868ad642c451ff (patch)
tree10fb1ef86ed319ef704128be02ebec3f40bef1be /contrib
parentbfb4e8c982019140b6514ad38640d791f92405da (diff)
downloadwallet-core-804ef8acb4d24d61a69f8b8add868ad642c451ff.tar.xz
repo: move Makefile helper scripts to contrib
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/copy-backend-into-prebuilt.sh8
-rwxr-xr-xcontrib/copy-backoffice-into-prebuilt.sh6
-rwxr-xr-xcontrib/copy-demobank-into-prebuilt.sh8
3 files changed, 22 insertions, 0 deletions
diff --git a/contrib/copy-backend-into-prebuilt.sh b/contrib/copy-backend-into-prebuilt.sh
new file mode 100755
index 000000000..b9fa2a68e
--- /dev/null
+++ b/contrib/copy-backend-into-prebuilt.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
+for file in depleted_tip.en.html offer_refund.en.html offer_tip.en.html request_payment.en.html show_order_details.en.html; do
+ cp packages/merchant-backend-ui/dist/pages/$file prebuilt/backend/
+done
+
diff --git a/contrib/copy-backoffice-into-prebuilt.sh b/contrib/copy-backoffice-into-prebuilt.sh
new file mode 100755
index 000000000..3150f20ba
--- /dev/null
+++ b/contrib/copy-backoffice-into-prebuilt.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
+cp packages/merchant-backoffice-ui/dist/{index,material*,XRXV*}.* prebuilt/backoffice/
+cp packages/merchant-backoffice-ui/dist/*.svg prebuilt/backoffice/
diff --git a/contrib/copy-demobank-into-prebuilt.sh b/contrib/copy-demobank-into-prebuilt.sh
new file mode 100755
index 000000000..3fd4ec5c5
--- /dev/null
+++ b/contrib/copy-demobank-into-prebuilt.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
+for file in index.html index.js index.css logo-white-U55BSKA2.svg; do
+ cp packages/demobank-ui/dist/$file prebuilt/demobank/
+done
+